MetaSoul

Loading...
Searching...
No Matches
Public Member Functions | Public Attributes | Protected Member Functions | List of all members
FESOpusCoder Class Reference

`#include <ESOpusCoder.h>`

## Public Member Functions
| FESOpusCoder ()
| ~FESOpusCoder ()
void | SetSampleRate (int32 InSampleRate)
void | SetChannels (int32 Channels)
void | SetBitrate (int32 Bitrate)
void | SetFrameSizeMs (int32 FrameSizeInMs)
bool | EncodeStream (const TArray< uint8 > &InPCMBytes, FEmoShapeOpusMinimalStream &OutStream)
bool | DecodeStream (const FEmoShapeOpusMinimalStream &InStream, TArray< uint8 > &OutPCMFrame)
bool | SerializeMinimal (const FEmoShapeOpusMinimalStream &InStream, TArray< uint8 > &OutSerializedBytes)
bool | DeserializeMinimal (const TArray< uint8 > &InSerializedMinimalBytes, FEmoShapeOpusMinimalStream &OutStream)
int32 | EncodeFrame (const TArray< uint8 > &InPCMFrame, TArray< uint8 > &OutCompressed)
int32 | DecodeFrame (const TArray< uint8 > &InCompressedFrame, TArray< uint8 > &OutPCMFrame)
void | ResetCoderIfInitialized ()

## Public Attributes
int32 | Channels
int32 | SampleRate
bool | bResetBetweenEncoding
bool | bApplicationVoip
bool | bLowestPossibleLatency

## Protected Member Functions
bool | InitEncoderIfNeeded ()
bool | InitDecoderIfNeeded ()

## Detailed Description

Symmetric coder for e.g. voip written from raw libopus due to how hidden the opus coder is in the engine (this one doesn't require an online subsystem)

## Constructor & Destructor Documentation

## ◆ FESOpusCoder()

FESOpusCoder::FESOpusCoder | ( |  | ) |

## ◆ ~FESOpusCoder()

FESOpusCoder::~FESOpusCoder | ( |  | ) |

## Member Function Documentation

## ◆ DecodeFrame()

int32 FESOpusCoder::DecodeFrame | ( | const TArray< uint8 > & | InCompressedFrame,
|  | TArray< uint8 > & | OutPCMFrame )

## ◆ DecodeStream()

bool FESOpusCoder::DecodeStream | ( | const FEmoShapeOpusMinimalStream & | InStream,
|  | TArray< uint8 > & | OutPCMFrame )

## ◆ DeserializeMinimal()

bool FESOpusCoder::DeserializeMinimal | ( | const TArray< uint8 > & | InSerializedMinimalBytes,
|  | FEmoShapeOpusMinimalStream & | OutStream )

## ◆ EncodeFrame()

int32 FESOpusCoder::EncodeFrame | ( | const TArray< uint8 > & | InPCMFrame,
|  | TArray< uint8 > & | OutCompressed )

## ◆ EncodeStream()

bool FESOpusCoder::EncodeStream | ( | const TArray< uint8 > & | InPCMBytes,
|  | FEmoShapeOpusMinimalStream & | OutStream )

Expects raw PCM data, outputs compressed raw opus data along with compressed frame sizes

## ◆ InitDecoderIfNeeded()

bool FESOpusCoder::InitDecoderIfNeeded | ( |  | ) |
| protected

## ◆ InitEncoderIfNeeded()

bool FESOpusCoder::InitEncoderIfNeeded | ( |  | ) |
| protected

## ◆ ResetCoderIfInitialized()

void FESOpusCoder::ResetCoderIfInitialized | ( |  | ) |

## ◆ SerializeMinimal()

bool FESOpusCoder::SerializeMinimal | ( | const FEmoShapeOpusMinimalStream & | InStream,
|  | TArray< uint8 > & | OutSerializedBytes )

## ◆ SetBitrate()

void FESOpusCoder::SetBitrate | ( | int32 | Bitrate | ) |

## ◆ SetChannels()

void FESOpusCoder::SetChannels | ( | int32 | Channels | ) |

## ◆ SetFrameSizeMs()

void FESOpusCoder::SetFrameSizeMs | ( | int32 | FrameSizeInMs | ) |

## ◆ SetSampleRate()

void FESOpusCoder::SetSampleRate | ( | int32 | InSampleRate | ) |

Set Encoder and Decoder Samples per sec

## Member Data Documentation

## ◆ bApplicationVoip

bool FESOpusCoder::bApplicationVoip

## ◆ bLowestPossibleLatency

bool FESOpusCoder::bLowestPossibleLatency

## ◆ bResetBetweenEncoding

bool FESOpusCoder::bResetBetweenEncoding

## ◆ Channels

int32 FESOpusCoder::Channels

## ◆ SampleRate

int32 FESOpusCoder::SampleRate

The documentation for this class was generated from the following files:

- EmoShapeWebUtility/Public/ESOpusCoder.h
- EmoShapeWebUtility/Private/ESOpusCoder.cpp